org.apache.solr.handler.dataimport

## Class JdbcDataSource.ResultSetIterator

- java.lang.Object
- - org.apache.solr.handler.dataimport.JdbcDataSource.ResultSetIterator

- Enclosing class:
    JdbcDataSource

      protected class JdbcDataSource.ResultSetIterator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSetIterator(String query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `close()`
    `protected void` | `closeResultSet()`
    `protected Iterator<Map<String,Object>>` | `createIterator(boolean convertType, Map<String,Integer> fieldNameVsType)`
    `protected Statement` | `createStatement(Connection c, int batchSize, int maxRows)`
    `protected ResultSet` | `executeStatement(Statement statement, String query)`
    `protected Map<String,Object>` | `getARow(boolean convertType, Map<String,Integer> fieldNameVsType)`
    `protected List<String>` | `getColNames()`
    `protected Iterator<Map<String,Object>>` | `getIterator()`
    `protected ResultSet` | `getNextResultSet(boolean initialResultSetAvailable, Statement statement)`
    `protected ResultSet` | `getResultSet()`
    `protected Statement` | `getStatement()`
    `protected boolean` | `hasnext()`
    `protected void` | `setColNames(List<String> colNames)`
    `protected void` | `setColNames(ResultSet resultSet)`
    `protected void` | `setResultSet(ResultSet resultSet)`
    `protected void` | `setStatement(Statement stmt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultSetIterator

          public ResultSetIterator(String query)

  - ### Method Detail

    - #### createStatement

          protected Statement createStatement(Connection c,
                                              int batchSize,
                                              int maxRows)
                                       throws SQLException

      Throws:
        `SQLException`

    - #### executeStatement

          protected ResultSet executeStatement(Statement statement,
                                               String query)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### getNextResultSet

          protected ResultSet getNextResultSet(boolean initialResultSetAvailable,
                                               Statement statement)
                                        throws SQLException

      Throws:
        `SQLException`

    - #### setColNames

          protected void setColNames(ResultSet resultSet)
                              throws SQLException

      Throws:
        `SQLException`

    - #### createIterator

          protected Iterator<Map<String,Object>> createIterator(boolean convertType,
                                                                Map<String,Integer> fieldNameVsType)

    - #### getARow

          protected Map<String,Object> getARow(boolean convertType,
                                               Map<String,Integer> fieldNameVsType)

    - #### hasnext

          protected boolean hasnext()

    - #### close

          protected void close()

    - #### closeResultSet

          protected void closeResultSet()

    - #### getIterator

          protected final Iterator<Map<String,Object>> getIterator()

    - #### getStatement

          protected final Statement getStatement()

    - #### setStatement

          protected final void setStatement(Statement stmt)

    - #### getResultSet

          protected final ResultSet getResultSet()

    - #### setResultSet

          protected final void setResultSet(ResultSet resultSet)

    - #### getColNames

          protected final List<String> getColNames()

    - #### setColNames

          protected final void setColNames(List<String> colNames)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.